
QGIS Application - Bug report #3418

Layer Color Selector Crashes

2011-01-17 09:31 AM - drawman -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13478

Description

I can change the hatch from solid to stripes etc without problems, but once I click anywhere on the color picker to change a layer's color,

the program crashes. I noticed this problem when using Version 1.5 so I upgraded, thinking it might solve the issue. It did not. It doesn't

matter how big or small the layerfile is that I am working with.

I am running OSX 10.5.8 with a 2.16 Intel Core 2 Duo, 3GB Ram, Version QGIS 1.6.0

History

#1 - 2011-01-18 09:55 AM - John Tull

Note that this appears to be similar to #2127. I can confirm that any symbology operation that invokes the color picker causes misbehavior in the gui,

including a sometimes locked-up/frozen gui. Occasionally, it is possible to hit the escape key to cancel out of the dialog windows and return to the map

canvas.

I am seeing this in trunk on 10.6.6 and qt-4.7.1. It is not clear if this is a qt problem or qgis problem, although I can find nothing reported as a bug for qt that

matches this.

#2 - 2011-03-05 02:28 AM - Volker Fröhlich

Working fine on Trunk and Fedora 14 with both new and old symbology.

Our version of Qt 4.7 might have patches not included in other distributions.

#3 - 2011-03-05 10:53 AM - John Tull

- Resolution set to invalid

- Status changed from Open to Closed

Your attached file cannot be used for testing. You need all the parts that go along with the shapefile (.dbf, etc.). Try zipping those into an archive and

attach. This may be a problem with your file because I do not have this issue on my system, although I am using trunk. I still have the problem noted in

#2127, but I believe this is a problem with qt, not QGIS. I'm setting this to invalid until we can verify that the problem occurs for others.

Files

QGIS_2011-01-17-123020_cberg2-3.crash 40.7 KB 2011-01-17 drawman -

rivercli.shp 1.64 KB 2011-01-17 drawman -
